Subject: bug#39696: closed (Re: bug#39696: linux-libre >= 5.4.20 network interfaces, gdm or Xorg and lvm stopped working)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 18 Aug 2020 04:16:02 +0000

Your bug report

#39696: linux-libre >= 5.4.20 network interfaces, gdm or Xorg and lvm stopped working

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39696: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39696
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39696: linux-libre >= 5.4.20 network interfaces, gdm or Xorg and lvm stopped working
From: [email-masked]
To: "pelzflorian \(Florian Pelz\)" <[email-masked]>
Cc: [email-masked], Sam P <[email-masked]>, Jack Hill <[email-masked]>
Date: Tue, 18 Aug 2020 00:15:42 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

"pelzflorian (Florian Pelz)" <[email-masked]> writes:

> On Thu, Feb 20, 2020 at 12:19:48PM -0500, Jack Hill wrote:
>> Sam,
>> 
>> Sorry to hear that you're experiencing this problem. This sounds to me like
>> it is actually the problem with the shepherd upgrade as describe in
>> <https://issues.guix.gnu.org/issue/39671>, not with linux-libre.
>
> Thank you Sam for filing the bug.  The problem with the shepherd
> upgrade should be fixed by normal pull and reconfigure now.  Please
> report back and if your issue is fixed too reply to
> [email-masked] to close this bug.

6 months have gone by, which suggests the issue is indeed fixed :-).

Closing.

Maxim

Subject: linux-libre >= 5.4.20 network interfaces, gdm or Xorg and lvm stopped working
From: Sam P <[email-masked]>
To: [email-masked]
Date: Thu, 20 Feb 2020 21:54:59 +0530
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I am using guix desktop for day to day usage for many months

Everything are working fine till linux-libre <= 5.4.19

But after linux-libre >= 5.4.20

1. No ethernet interface is shown only lo: is shown
2. gdm, Xorg totally stopped working
3. lvm command vgchange -ay taken forever and not able to create device
node in /dev/mapper

Presently for lvm support, I had added a mapper class with open/close method
for many months it is nicely working (It was a work around which work for
~6 volumes at boot time.)

I have attached my system config.scm and packages.scm with mail

I am not sure if it issue of

1. my configurations (which still work nicely with <= 5.4.19)

2. it is some issue in guix changes

3. or it linux kernel >= 5.4.20 is causing.

I had tried searching if somebody had reported it, when I have seen nobody
has reported it.

Thanks,

/sharad